<?php
/**
 * Footer Social Icons
 *
 * @package dark_fitness
 */

$wp_customize->add_section(
	'dark_fitness_footer_icon_options',
	array(
		'panel' => 'dark_fitness_theme_options',
		'title' => esc_html__( 'Footer Social Icons', 'dark-fitness' ),
	)
);

// Add Separator Custom Control
$wp_customize->add_setting( 'dark_fitness_footer_icon_separators', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Dark_Fitness_Separator_Custom_Control( $wp_customize, 'dark_fitness_footer_icon_separators', array(
	'label' => __( 'Footer Icon Settings', 'dark-fitness' ),
	'section' => 'dark_fitness_footer_icon_options',
	'settings' => 'dark_fitness_footer_icon_separators',
)));

// Footer Section - Enable Section.
$wp_customize->add_setting(
	'dark_fitness_enable_footer_icon_section',
	array(
		'default'           => true,
		'sanitize_callback' => 'dark_fitness_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Dark_Fitness_Toggle_Switch_Custom_Control(
		$wp_customize,
		'dark_fitness_enable_footer_icon_section',
		array(
			'label'    => esc_html__( 'Show / Hide Footer Icon', 'dark-fitness' ),
			'section'  => 'dark_fitness_footer_icon_options',
			'settings' => 'dark_fitness_enable_footer_icon_section',
		)
	)
);

// Add setting for Facebook Link
$wp_customize->add_setting(
	'dark_fitness_footer_facebook_link',
	array(
		'default'           => 'https://www.facebook.com/',
		'sanitize_callback' => 'esc_url_raw',
	)
);

$wp_customize->add_control(
	'dark_fitness_footer_facebook_link',
	array(
		'label'           => esc_html__( 'Facebook Link', 'dark-fitness'  ),
		'section'         => 'dark_fitness_footer_icon_options',
		'settings'        => 'dark_fitness_footer_facebook_link',
		'type'      => 'url'
	)
);

// Add setting for Facebook Icon Changing
$wp_customize->add_setting(
	'dark_fitness_facebook_icon',
	array(
        'default' => 'fab fa-facebook-f',
		'sanitize_callback' => 'sanitize_text_field',
		'capability' => 'edit_theme_options',
		
	)
);	

$wp_customize->add_control(new Dark_Fitness_Change_Icon_Control($wp_customize, 
	'dark_fitness_facebook_icon',
	array(
	    'label'   		=> __('Facebook Icon','dark-fitness'),
	    'section' 		=> 'dark_fitness_footer_icon_options',
		'iconset' => 'fb',
	))  
);


// Add setting for Twitter Link
$wp_customize->add_setting(
	'dark_fitness_footer_twitter_link',
	array(
		'default'           => 'https://x.com/',
		'sanitize_callback' => 'esc_url_raw',
	)
);

$wp_customize->add_control(
	'dark_fitness_footer_twitter_link',
	array(
		'label'           => esc_html__( 'Twitter Link', 'dark-fitness'  ),
		'section'         => 'dark_fitness_footer_icon_options',
		'settings'        => 'dark_fitness_footer_twitter_link',
		'type'      => 'url'
	)
);

// Add setting for Twitter Icon Changing
$wp_customize->add_setting(
	'dark_fitness_twitter_icon',
	array(
        'default' => 'fab fa-twitter',
		'sanitize_callback' => 'sanitize_text_field',
		'capability' => 'edit_theme_options',
		
	)
);	

$wp_customize->add_control(new Dark_Fitness_Change_Icon_Control($wp_customize, 
	'dark_fitness_twitter_icon',
	array(
	    'label'   		=> __('Twitter Icon','dark-fitness'),
	    'section' 		=> 'dark_fitness_footer_icon_options',
		'iconset' => 'fb',
	))  
);

// Add setting for Instagram Link
$wp_customize->add_setting(
	'dark_fitness_footer_instagram_link',
	array(
		'default'           => 'https://www.instagram.com/',
		'sanitize_callback' => 'esc_url_raw',
	)
);

$wp_customize->add_control(
	'dark_fitness_footer_instagram_link',
	array(
		'label'           => esc_html__( 'Instagram Link', 'dark-fitness'  ),
		'section'         => 'dark_fitness_footer_icon_options',
		'settings'        => 'dark_fitness_footer_instagram_link',
		'type'      => 'url'
	)
);

// Add setting for Instagram Icon Changing
$wp_customize->add_setting(
	'dark_fitness_instagram_icon',
	array(
        'default' => 'fab fa-instagram',
		'sanitize_callback' => 'sanitize_text_field',
		'capability' => 'edit_theme_options',
		
	)
);	

$wp_customize->add_control(new Dark_Fitness_Change_Icon_Control($wp_customize, 
	'dark_fitness_instagram_icon',
	array(
	    'label'   		=> __('Instagram Icon','dark-fitness'),
	    'section' 		=> 'dark_fitness_footer_icon_options',
		'iconset' => 'fb',
	))  
);

// Add setting for Linkedin Link
$wp_customize->add_setting(
	'dark_fitness_footer_linkedin_link',
	array(
		'default'           => 'https://in.linkedin.com/',
		'sanitize_callback' => 'esc_url_raw',
	)
);

$wp_customize->add_control(
	'dark_fitness_footer_linkedin_link',
	array(
		'label'           => esc_html__( 'Linkedin Link', 'dark-fitness'  ),
		'section'         => 'dark_fitness_footer_icon_options',
		'settings'        => 'dark_fitness_footer_linkedin_link',
		'type'      => 'url'
	)
);

// Add setting for Linkedin Icon Changing
$wp_customize->add_setting(
	'dark_fitness_linkedin_icon',
	array(
        'default' => 'fab fa-linkedin',
		'sanitize_callback' => 'sanitize_text_field',
		'capability' => 'edit_theme_options',
		
	)
);	

$wp_customize->add_control(new Dark_Fitness_Change_Icon_Control($wp_customize, 
	'dark_fitness_linkedin_icon',
	array(
	    'label'   		=> __('Linkedin Icon','dark-fitness'),
	    'section' 		=> 'dark_fitness_footer_icon_options',
		'iconset' => 'fb',
	))  
);

// Add setting for Youtube Link
$wp_customize->add_setting(
	'dark_fitness_footer_youtube_link',
	array(
		'default'           => 'https://www.youtube.com/',
		'sanitize_callback' => 'esc_url_raw',
	)
);

$wp_customize->add_control(
	'dark_fitness_footer_youtube_link',
	array(
		'label'           => esc_html__( 'Youtube Link', 'dark-fitness'  ),
		'section'         => 'dark_fitness_footer_icon_options',
		'settings'        => 'dark_fitness_footer_youtube_link',
		'type'      => 'url'
	)
);

// Add setting for Youtube Icon Changing
$wp_customize->add_setting(
	'dark_fitness_youtube_icon',
	array(
        'default' => 'fab fa-youtube',
		'sanitize_callback' => 'sanitize_text_field',
		'capability' => 'edit_theme_options',
		
	)
);	

$wp_customize->add_control(new Dark_Fitness_Change_Icon_Control($wp_customize, 
	'dark_fitness_youtube_icon',
	array(
	    'label'   		=> __('Youtube Icon','dark-fitness'),
	    'section' 		=> 'dark_fitness_footer_icon_options',
		'iconset' => 'fb',
	))  
);